/******************************************************************************
*
* Copyright (C) 2017 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "AudioDeviceModel.h"

#include "AudioDeviceTrack.h"
#include "CollectionItem.h"
#include "CppUtil.h"
#include "IconEngine.h"
#include "IconNames.h"

#include <QMimeData>
#include <QUrl>

//_______________________________________________________________________________________
const QString AudioDeviceTrack::MimeType( "musicbox/audio-device-track-list" );

//_______________________________________________________________________________________
AudioDeviceModel::AudioDeviceModel( QObject* parent ):
    TrackInformationModel( parent )
    {}

//__________________________________________________________________
QStringList AudioDeviceModel::mimeTypes() const
{ return Base::makeT<QStringList>({ AudioDeviceTrack::MimeType }); }

//______________________________________________________________________
QMimeData* AudioDeviceModel::mimeData(const QModelIndexList &indexes) const
{

    if( indexes.empty() ) return nullptr;

    // create mime data
    auto mime = new QMimeData;
    mime->setData( AudioDeviceTrack::MimeType, nullptr );
    return mime;

}
