#ifndef AudioDeviceSpeed_h
#define AudioDeviceSpeed_h

/******************************************************************************
*
* Copyright (C) 2017 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "CppUtil.h"

#include <QObject>

class AudioDeviceSpeed
{

    public:

    enum class SpeedMode
    {
        Default = 0,
        SpeedTwo,
        SpeedFour,
        SpeedHeight,
        SpeedSixteen,
        SpeedThirtyTwo
    };

    //* speed
    static int speed( SpeedMode mode )
    {
        switch( mode )
        {
            default:
            case SpeedMode::Default: return 0;
            case SpeedMode::SpeedTwo: return 2;
            case SpeedMode::SpeedFour: return 4;
            case SpeedMode::SpeedHeight: return 8;
            case SpeedMode::SpeedSixteen: return 16;
            case SpeedMode::SpeedThirtyTwo: return 32;
        }
    };

    //* values
    static QStringList speedStringList()
    {
        return Base::makeT<QStringList>( {
            QObject::tr( "Auto" ),
            QObject::tr( "x2" ),
            QObject::tr( "x4" ),
            QObject::tr( "x8" ),
            QObject::tr( "x16" ),
            QObject::tr( "x32" )
        });
    }

};

#endif
