#ifndef CollectionFindWidget_h
#define CollectionFindWidget_h

/******************************************************************************
*
* Copyright (C) 2017 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "Counter.h"
#include "TrackInformation.h"

#include <QWidget>

class LineEditor;

class CollectionFindWidget: public QWidget, private Base::Counter<CollectionFindWidget>
{

    //* Qt meta object declaration
    Q_OBJECT

    public:

    //* constructor;
    explicit CollectionFindWidget( QWidget* parent );

    //*@name accessors
    //@{

    //* retrieve line editor
    LineEditor& editor() const
    { return *editor_; }

    //*}

    Q_SIGNALS:

    //* request collection search
    void requestSearchCollection( QString, TrackInformation::Mask );

    private Q_SLOTS:

    //* activated
    void _requestSearch();

    //* activated
    void _requestReset();

    private:

    //* maks
    TrackInformation::Mask mask_ = TrackInformation::Default;

    //* line editor widget
    LineEditor *editor_ = nullptr;

};

#endif
