#ifndef CollectionWatcher_h
#define CollectionWatcher_h

/******************************************************************************
*
* Copyright (C) 2017 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "Counter.h"
#include "File.h"

#include <QObject>

class FileSystemWatcher;

class CollectionWatcher: public QObject, private Base::Counter<CollectionWatcher>
{

    Q_OBJECT

    public:

    //* constructor
    explicit CollectionWatcher( QObject* = nullptr );

    Q_SIGNALS:

    //* collection changed
    void collectionChanged();

    //* collection changed
    void collectionChanged(QString);

    public Q_SLOTS:

    //* update enable state
    void updateEnableState();

    //* update music directory
    /** value is taken from XmlOptions */
    void updateMusicDirectory();

    private Q_SLOTS:

    //* directory changed
    void _directoryChanged( QString );

    private:

    //* enable state
    bool enabled_ = false;

    //* base path
    File musicDirectory_;

    //* file system watcher
    FileSystemWatcher* fileSystemWatcher_ = nullptr;

};

#endif
