#ifndef CoverCache_h
#define CoverCache_h

/******************************************************************************
*
* Copyright (C) 2017 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "Counter.h"
#include "CollectionItem.h"
#include "CoverManager.h"

#include <QHash>
#include <QIcon>
#include <QImage>
#include <QObject>

#include <memory>

//* caches cover icons
class CoverCache: public QObject, private Base::Counter<CoverCache>
{

    Q_OBJECT

    public:

    using Pointer = std::shared_ptr<CoverCache>;

    //* constructor
    explicit CoverCache( QObject* = nullptr );

    //* destructor
    ~CoverCache() override;

    //* get icon for track
    const QIcon& icon( const CollectionItem& ) const;

    Q_SIGNALS:

    void modified();

    public Q_SLOTS:

    //* save icon form image
    void saveCovers( const CoverManager::CoverList& );

    private:

    //* icon cache
    using IconCache = QHash<uint, QIcon>;
    IconCache cache_;

    //* empty icon
    QIcon empty_;

};

#endif
