/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "CoverDisplayDialog.h"
#include "Util.h"

#include <QLayout>
#include <QLabel>

//_______________________________________________________
CoverDisplayDialog::CoverDisplayDialog( QWidget* parent, const CollectionItem& item, const QPixmap& pixmap ):
    QDialog( parent ),
    Counter( "CoverDisplayDialog" )
{
    Debug::Throw( "CoverDisplayDialog::CoverDisplayDialog.\n" );

    setFixedSize( pixmap.size() );

    if( item.type() == CollectionItem::Type::Album ) setWindowTitle( Util::windowTitle( tr( "Album Cover" ) ) );
    else setWindowTitle( Util::windowTitle( tr( "Artist Cover" ) ) );

    auto layout = new QVBoxLayout;
    layout->setSpacing(0);
    layout->setMargin(0);

    setLayout( layout );

    auto label = new QLabel(this);
    label->setPixmap( pixmap );
    layout->addWidget( label );

}

//_______________________________________________________
CoverDisplayDialog::CoverDisplayDialog( QWidget* parent, const CollectionItem& item, const QIcon& icon ):
    CoverDisplayDialog( parent, item, icon.pixmap( icon.availableSizes().back() ) )
    {}
