#ifndef CoverSearchDialog_h
#define CoverSearchDialog_h

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "CollectionItem.h"
#include "CustomDialog.h"

class IconView;
class LineEditor;

class CoverSearchDialog: public CustomDialog
{

    Q_OBJECT

    public:

    //* constructor
    CoverSearchDialog( QWidget*, const CollectionItem& );

    private:

    //* current collection item
    CollectionItem item_;

    //* artist editor
    LineEditor* artistEditor_ = nullptr;

    //* album editor
    LineEditor* albumEditor_ = nullptr;

    //* icon view
    IconView* iconView_ = nullptr;

};

#endif
