#ifndef IconNames_h
#define IconNames_h

/******************************************************************************
*
* Copyright (C) 2017 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "BaseIconNames.h"
#include "FileSystemIconNames.h"
#include <QString>

//* namespace for icon static name wrappers
namespace IconNames
{
    static const QString StartPlayback = "media-playback-start";
    static const QString PausePlayback = "media-playback-pause";
    static const QString StopPlayback = "media-playback-stop";
    static const QString NextTrack = "media-skip-forward";
    static const QString PreviousTrack = "media-skip-backward";
    static const QString Repeat = "media-playlist-repeat";
    static const QString Random = "media-playlist-shuffle";

    static const QString Menu = "application-menu";
    static const QString Connect = "network-connect";
    static const QString Save = "document-save";
    static const QString SaveAs = "document-save-as";
    static const QString Export = "document-export";
    static const QString Download = "download";
    static const QString DisplayCover = "zoom-original";

    static const QString PreferencesLocalCache = "folder-downloads";

    static const QString VolumeLow = "audio-volume-low";
    static const QString VolumeMedium = "audio-volume-medium";
    static const QString VolumeHigh = "audio-volume-high";
    static const QString VolumeMuted = "audio-volume-muted";

    static const QString Artist = "view-media-artist";
    static const QString Album = "media-album-cover";
    static const QString Track = "audio-x-generic";
    static const QString Playlist = "view-media-playlist";
    static const QString Lyrics = "view-media-lyrics";

    static const QString Collection = "audio-x-generic";
    static const QString AudioDevice = "media-optical";
    static const QString DefaultCover = "media-optical-audio";

    static const QString AudioStreamList = "applications-internet";
    static const QString AudioStreamProvider = "text-html";
    static const QString AudioStreamGenre = "folder";
    static const QString AudioStreamChannel = "x-media-podcast";

    static const QString AddFavorite = "bookmark-new";
    static const QString RemoveFavorite = "bookmark-remove";

    static const QString PreferencesCollection = "view-media-playlist";
    static const QString PreferencesAudioDevice = "media-optical-audio";

    static const QString Clear = "user-trash";

};

#endif
