#ifndef LogDialog_h
#define LogDialog_h

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "CustomDialog.h"
#include "MpdCommand.h"

#include <QCloseEvent>

class LogWidget;

//* display command output
class LogDialog:public CustomDialog
{

    //* Qt meta object declaration
    Q_OBJECT

    public:

    //* constructor
    explicit LogDialog( QWidget* = nullptr );

    //*@name modifiers
    //@{

    void setEnabled( bool );

    //@}

    Q_SIGNALS:

    //* emitted when hidden
    void dialogHidden();

    public Q_SLOTS:

    //* add command
    void addCommand( const Mpd::Command& );

    protected:

    //* hide event
    void closeEvent( QCloseEvent* ) override;

    private:

    //* text editor
    LogWidget* editor_ = nullptr;

    //* enable state
    bool enabled_ = false;

};

#endif
