#ifndef MpdInformationDialog_h
#define MpdInformationDialog_h

/******************************************************************************
*
* Copyright (C) 2017 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "CustomDialog.h"

#include <QLabel>
#include <QStringList>

namespace Mpd
{
    class InformationDialog: public CustomDialog
    {

        Q_OBJECT

        public:

        //* constructor
        explicit InformationDialog( QWidget* = nullptr );

        //*@name modifiers
        //@{

        //* clear
        void clear();

        //* mpd version
        void setMpdVersion( const QString& value )
        { mpdVersion_ = value; }

        //* update from mpd reply
        void update( const QString& );

        //@}

        private:

        QString mpdVersion_;
        QString upTime_;
        QString playTime_;
        QString artists_;
        QString albums_;
        QString tracks_;
        QString duration_;
        QString lastUpdate_;

        QStringList handlers_;
        QStringList tags_;

        QLabel* label_ = nullptr;

    };

}

#endif
