/******************************************************************************
*
* Copyright (C) 2017 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "NetworkJob.h"

#include "Debug.h"

//_______________________________________________________________________________
NetworkJob::NetworkJob( QNetworkReply* networkReply ):
    Counter( "NetworkJob" ),
    networkReply_( networkReply )
{
    Debug::Throw( "NetworkJob::NetworkJob.\n" );

    // connect
    connect( networkReply_.get(), SIGNAL(finished()), this, SLOT(_finished()) );
    connect( networkReply_.get(), SIGNAL(error(QNetworkReply::NetworkError)), this, SLOT(_abort()) );
}

//_______________________________________________________________________________
NetworkJob::~NetworkJob() = default;

//_______________________________________________________________________________
void NetworkJob::_abort()
{
    Debug::Throw( "NetworkJob::_abort.\n" );
    networkReply_.reset();
    emit finished();
}
