#ifndef NewAudioStreamDialog_h
#define NewAudioStreamDialog_h

/******************************************************************************
*
* Copyright (C) 2017 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "CustomDialog.h"

class LineEditor;

class NewAudioStreamDialog: public CustomDialog
{

    Q_OBJECT

    public:

    //* constructor
    explicit NewAudioStreamDialog( QWidget* = nullptr );

    //*@name accessors
    //@{

    //* url
    QString url() const;

    //* name
    QString name() const;

    //@}

    //*@name modifiers
    //@{

    void setUrlHandlers( const QStringList& value )
    { urlHandlers_ = value; }

    //@}

    private Q_SLOTS:

    //* update buttons
    void _updateButtons();

    private:

    //* url handlers
    QStringList urlHandlers_;

    //* editor
    LineEditor* urlEditor_ = nullptr;

    //* editor
    LineEditor* nameEditor_ = nullptr;

};

#endif
