#ifndef SavePlaylistDialog_h
#define SavePlaylistDialog_h

/******************************************************************************
*
* Copyright (C) 2017 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "CustomDialog.h"

class LineEditor;

class SavePlaylistDialog: public CustomDialog
{

    Q_OBJECT

    public:

    //* constructor
    explicit SavePlaylistDialog( QWidget* = nullptr );

    //*@name accessors
    //@{

    //* playlist name
    QString playlist() const;

    //@}

    //*@name modifiers
    //@{

    //* playlist name
    void setPlaylist( const QString& );

    //@}

    private Q_SLOTS:

    //* update buttons
    void _updateButtons();

    private:

    //* editor
    LineEditor* editor_ = nullptr;

};

#endif
